#ifndef RATIONAL_H
#define RATIONAL_H

#include <iostream>

using namespace std;

class Rational {
	private:
		int top;
		int bottom;
	public:
		Rational(){ top=0; bottom=0; };
		Rational(int i);
		Rational(int t, int b){top=t; bottom=b;};
		int get_top(){ return top;};
		int get_bot(){ return bottom;};
		double get();
		
		friend ostream& operator<<(ostream &o, const Rational &r);
		friend bool operator==(const Rational &r1, const Rational &r2);
		friend bool operator!=(const Rational &r1, const Rational &r2);
};

#endif
			
