#ifndef GML_PREMISE_H
#define GML_PREMISE_H

#include <cmath>
#include <vector>

#include "premise.h"
#include "sizefunctions.h"
#include "setofconclusions.h"

class GML_Premise : public Premise<int>{
	private:
		
		/* Deprecated Functions which searched for solutions to the side condition first.
		void load_side_condition(glp_prob* sc, double limit);
		void solve_side_condition(glp_prob* side_condition, glp_iocp* parameters, int r_or_s, int index, int new_bound, double limit, vector<Conclusion>& set);
		//r_or_s = 0 for neither, 1 for r, 2 for 2.
		
		void all_valuations(glp_iocp* parameters, int* r, int* s, Conclusion& result);
		void solve_conclusion_lp(glp_prob* conclusion, glp_iocp* parameters, int min_limit, Conclusion& conc);
		*/
		
		// for testing
		//int test_counter;
	public:
		GML_Premise();
		GML_Premise(int _n, int _m, int* _a, int *_b);

		//double bound(); // Deprecated.
			
};

#endif
